package com.hywa.banktest.service.impl;

import com.hywa.banktest.bankframework.utils.UUIDUtils;
import com.hywa.banktest.dao.ClearingRecordDetailMapper;
import com.hywa.banktest.dao.ClearingRecordMapper;
import com.hywa.banktest.entity.ClearingRecord;
import com.hywa.banktest.service.ClearingRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Slf4j
@Service("clearingRecordService")
public class ClearingRecordServiceImpl implements ClearingRecordService {

    @Resource
    private ClearingRecordMapper clearingRecordMapper;


    @Override
    public int deleteById(String id) {
        return clearingRecordMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insertByModel(ClearingRecord record) {
        record.setId(UUIDUtils.newGUID());
        return clearingRecordMapper.insert(record);
    }

    @Override
    public int insertSelectiveModel(ClearingRecord record) {
        record.setId(UUIDUtils.newGUID());
        return clearingRecordMapper.insertSelective(record);
    }

    @Override
    public ClearingRecord queryById(String id) {
        return clearingRecordMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByIdSelective(ClearingRecord record) {
        return clearingRecordMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateById(ClearingRecord record) {
        return clearingRecordMapper.updateByPrimaryKey(record);
    }

    @Override
    public List<Map> queryListByParentId(String parentId) {
        //TODO empty implements
        return null;
    }

    @Override
    public List<ClearingRecord> queryModelByName(String name) {
        //TODO empty implements
        return null;
    }

    /**
     * 获取清款ftp上传文件名
     *
     * @param checkTime
     * @return
     */
    @Override
    public List<String> getBankClearingFilesByTimed(String checkTime) {
        return clearingRecordMapper.getBankClearingFilesByTimed(checkTime);
    }
}
